﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;
using Cmdjy.Dal.Tables;

namespace Cmdjy.Dal
{
    /// <summary>
    /// 崇明代煎药数据库
    /// </summary>
    public partial class DjyDbContext:DbContext
    {
        public DjyDbContext() : base("DjyDbContext") {
        }
    }
    /// <summary>
    /// 数据表定义
    /// </summary>
    public partial class DjyDbContext
    {
        /// <summary>
        /// 处方信息
        /// </summary>
        public DbSet<HisPrescriptionInfo> PrescriptionInfos { get; set; }
        /// <summary>
        /// 药品信息
        /// </summary>
        public DbSet<HisDrugInfo> DrugInfos { get; set; }
        /// <summary>
        /// 万仕达下载日志
        /// </summary>
        public DbSet<WsdRequestLog> WsdRequestLogs { get; set; }
        /// <summary>
        /// 代煎药厂商信息
        /// </summary>
        public DbSet<CompanyInfo> CompanyInfos { get; set; }
        /// <summary>
        /// 医疗机构信息
        /// </summary>
        public DbSet<HospitalInfo> HospitalInfos { get; set; }
    }
}