﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Cmdjy.Dal.Tables
{
    /// <summary>
    /// 代煎药厂商信息
    /// </summary>
    [Table("CompanyInfo")]
    public class CompanyInfo
    {
        /// <summary>
        /// 厂商编号
        /// </summary>
        [Key]
        public int Id { get; set; }
        /// <summary>
        /// 厂商名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 厂商地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 厂商电话
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 安全关键字
        /// </summary>
        public string SecurityKey { get; set; }
        /// <summary>
        /// 厂商状态
        /// </summary>
        public EnumComanyInfo Status { get; set; }
    }

    /// <summary>
    /// 厂家状态
    /// </summary>
    [Flags]
    public enum EnumComanyInfo
    {
        Enable = 0,
        Disable = 1,
    }
}