﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Cmdjy.Dal.Tables
{
    /// <summary>
    /// 客户端下载处方记录
    /// </summary>
    [Table("WsdRequestLog")]
    public class WsdRequestLog
    {
        /// <summary>
        /// 主键。日志流水号
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 日志记录时间
        /// </summary>
        public DateTime LogDatatime { get; set; }
        /// <summary>
        /// 客户端地址
        /// </summary>
        public string ClientAddress { get; set; }
        /// <summary>
        /// 获取的处方流水
        /// </summary>
        public string PrescriptionId { get; set; }
        /// <summary>
        /// 获取的药品流水号
        /// </summary>
        public string DrugId { get; set; }
        /// <summary>
        /// 开始编号
        /// </summary>
        public string StartNo { get; set; }
        /// <summary>
        /// 获取最大记录数
        /// </summary>
        public string MaxCount { get; set; }
        /// <summary>
        /// 响应代码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 响应信息
        /// </summary>
        public string Msg { get; set; }
    }
}